# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/distributions/distributions/plugin/conda-recipe, last modified Sun Aug  2 03:05:20 2026
# ------------------------------------------------

package:
  name: q2-types
  version: 2026.10.0.dev0
source:
  path: /Users/runner/work/distributions/distributions/plugin
build:
  number: '2'
  script: make install
  string: py312h91df4a4_2
requirements:
  build:
    - bzip2 1.0.8 h500dc9f_9
    - ca-certificates 2026.7.22 hbd8a1cb_0
    - importlib-metadata 9.0.0 pyhcf101f3_0
    - libexpat 2.8.1 hcc62823_1
    - libffi 3.5.2 hd1f9c09_0
    - liblzma 5.8.3 hbb4bfdb_0
    - libsqlite 3.53.4 h77d7759_0
    - libzlib 1.3.2 hbb4bfdb_3
    - ncurses 6.6 hcc0dc9a_0
    - openssl 3.6.3 hc881268_0
    - packaging 26.2 pyhc364b38_0
    - pip 26.2 pyh8b19718_0
    - python 3.12.13 ha9537fe_0_cpython
    - readline 8.3 h68b038d_0
    - setuptools 83.0.0 pyh332efcf_0
    - tk 8.6.13 hb794df6_3
    - tomli 2.4.1 pyhcf101f3_0
    - tzdata 2026c h151e31d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.47.0 pyhd8ed1ab_0
    - zipp 4.1.0 pyhcf101f3_0
  host:
    - bzip2 1.0.8 h500dc9f_9
    - ca-certificates 2026.7.22 hbd8a1cb_0
    - importlib-metadata 9.0.0 pyhcf101f3_0
    - libexpat 2.8.1 hcc62823_1
    - libffi 3.5.2 hd1f9c09_0
    - liblzma 5.8.3 hbb4bfdb_0
    - libsqlite 3.53.4 h77d7759_0
    - libzlib 1.3.2 hbb4bfdb_3
    - ncurses 6.6 hcc0dc9a_0
    - openssl 3.6.3 hc881268_0
    - packaging 26.2 pyhc364b38_0
    - pip 26.2 pyh8b19718_0
    - python 3.12.13 ha9537fe_0_cpython
    - readline 8.3 h68b038d_0
    - setuptools 83.0.0 pyh332efcf_0
    - tk 8.6.13 hb794df6_3
    - tomli 2.4.1 pyhcf101f3_0
    - tzdata 2026c h151e31d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.47.0 pyhd8ed1ab_0
    - zipp 4.1.0 pyhcf101f3_0
  run:
    - biom-format 2.1.17.*
    - frictionless 5.5.0.*
    - h5py
    - ijson
    - numpy
    - pandas 2.3.3.*
    - pyhmmer
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
    - qiime2 >=2026.10.0.dev0
    - samtools
    - scikit-bio 0.7.2.*
    - scipy 1.17.1.*
test:
  commands:
    - py.test --pyargs q2_types
  imports:
    - q2_types
    - qiime2.plugins.types
  requires:
    - pytest
    - qiime2 >=2026.10.0.dev0
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
